Bug 489118 - RFE: check rpaths in build configuration files
RFE: check rpaths in build configuration files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-07 15:24 EST by Milos Jakubicek
Modified: 2009-04-09 12:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.87-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 16:26:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch, included in the rpmlint build at http://mjakubicek.fedorapeople.org/rpmlint/ (1.12 KB, patch)
2009-03-07 15:24 EST, Milos Jakubicek
no flags Details | Diff

  None (edit)
Description Milos Jakubicek 2009-03-07 15:24:06 EST
Created attachment 334414 [details]
Proposed patch, included in the rpmlint build at http://mjakubicek.fedorapeople.org/rpmlint/

I've recently found a package introducing rpaths into dependent packages by having them in the pkgconfig file. I'm attaching a patch which adds checking for such issues in rpmlint.

You can test the rpmlint from http://mjakubicek.fedorapeople.org/rpmlint/, in the same directory there is a ginac-devel rpm which is the testcase.
Comment 1 Ville Skyttä 2009-03-08 12:08:55 EDT
Thanks, somewhat modified version of the patch applied upstream, will most likely be in 0.86.

http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1562
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1563
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1564
Comment 2 Fedora Update System 2009-03-19 19:29:44 EDT
rpmlint-0.87-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpmlint-0.87-1.fc10
Comment 3 Fedora Update System 2009-03-19 19:31:11 EDT
rpmlint-0.87-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rpmlint-0.87-1.fc9
Comment 4 Fedora Update System 2009-03-23 11:56:44 EDT
rpmlint-0.87-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2946
Comment 5 Fedora Update System 2009-04-06 16:25:50 EDT
rpmlint-0.87-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-04-09 12:18:46 EDT
rpmlint-0.87-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.